Delete feature and related records.
Description

It is cool that I can digitize a feature, then populate the child tables (as defined by QGIS Relations).  But when I delete this feature, I was

expecting that it would also delete the records in the child tables.

History

#1 - 2014-02-13 06:18 AM - Martin Dobias

- Priority changed from High to Normal

- Tracker changed from Bug report to Feature request

Changing to feature request.

#2 - 2014-02-13 12:34 PM - Matthias Kuhn

For now: the easiest would be to use a database which has support for "ON DELETE CASCADE"

This will open up a question which I had in mind for some time already. As with all the relations stuff, layers cannot be treated as standalone anymore we

need to find a solution.

What would be the workflow for this? Would one have to turn the child layer into edit mode manually? If the parent layer is saved, should the child layer be

saved as well automatically? There may be other pending changes in the edit buffer which you did not want to commit yet.

#3 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No
